Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.DRMEncryptData Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| DRMEncryptData (bool is_encrypt_metadata, string sub_filter, SecurityHandler.CipherType cipher, int key_length, bool is_owner, int user_permissions)
| Constructor, with parameters. More...
| DRMEncryptData ()
| Constructor.
| DRMEncryptData (DRMEncryptData other)
| Constructor, with another DRM encrypt data object. More...
void | Set (bool is_encrypt_metadata, string sub_filter, SecurityHandler.CipherType cipher, int key_length, bool is_owner, int user_permissions)
| Set value. More...

## Properties
SecurityHandler.CipherType | cipher`[get, set]`
| Cipher type. Please refer to values starting from foxit.pdf.SecurityHandler.CipherType.e_CipherRC4 and this should be one of these values except foxit.pdf.SecurityHandler.CipherType.e_CipherNone .
bool | is_encrypt_metadata`[get, set]`
| A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.
bool | is_owner`[get, set]`
| A boolean value to decide whether current user is owner or not. true means current user is owner, and false means current user is not owner.
int | key_length`[get, set]`
| The key length, in bytes. For foxit.pdf.SecurityHandler.CipherType.e_CipherRC4 cipher, this value should be between 5 and 16. For foxit.pdf.SecurityHandler.CipherType.e_CipherAES cipher, this value should be 16 or 32.
string | sub_filter`[get, set]`
| The sub filter name that specifies the syntax of the encryption dictionary contents.
int | user_permissions`[get, set]`
| The user permissions. Please refer to values starting from foxit.pdf.PDFDoc.UserPermissions.e_PermPrint and this can be one or combination of these values.

## Detailed Description

This class represents some data used for class DRMSecurityHandler .

## Constructor & Destructor Documentation

## ◆ DRMEncryptData() [1/2]

foxit.pdf.DRMEncryptData.DRMEncryptData | ( | bool | is_encrypt_metadata,
|  | string | sub_filter,
|  | SecurityHandler.CipherType | cipher,
|  | int | key_length,
|  | bool | is_owner,
|  | int | user_permissions
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents.
  [in] | cipher | Cipher type. Please refer to values starting from foxit.pdf.SecurityHandler.CipherType.e_CipherRC4 and this should be one of these values except foxit.pdf.SecurityHandler.CipherType.e_CipherNone .
  [in] | key_length | The key length, in bytes. For foxit.pdf.SecurityHandler.CipherType.e_CipherRC4 cipher, this value should be between 5 and 16. For foxit.pdf.SecurityHandler.CipherType.e_CipherAES cipher, this value should be 16 or 32.
  [in] | is_owner | true means current user is owner, and false means current user is not owner.
  [in] | user_permissions | The user permissions. Please refer to values starting from foxit.pdf.PDFDoc.UserPermissions.e_PermPrint and this can be one or combination of these values.

## ◆ DRMEncryptData() [2/2]

foxit.pdf.DRMEncryptData.DRMEncryptData | ( | DRMEncryptData | other | ) |
| inline

Constructor, with another DRM encrypt data object.

Parameters

  [in] | other | Another DRM encrypt data object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.DRMEncryptData.Set | ( | bool | is_encrypt_metadata,
|  | string | sub_filter,
|  | SecurityHandler.CipherType | cipher,
|  | int | key_length,
|  | bool | is_owner,
|  | int | user_permissions
| ) |  |
| inline

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents.
  [in] | cipher | Cipher type. Please refer to values starting from foxit.pdf.SecurityHandler.CipherType.e_CipherRC4 and this should be one of these values except foxit.pdf.SecurityHandler.CipherType.e_CipherNone .
  [in] | key_length | The key length, in bytes. For foxit.pdf.SecurityHandler.CipherType.e_CipherRC4 cipher, this value should be between 5 and 16. For foxit.pdf.SecurityHandler.CipherType.e_CipherAES cipher, this value should be 16 or 32.
  [in] | is_owner | true means current user is owner, and false means current user is not owner.
  [in] | user_permissions | The user permissions. Please refer to values starting from foxit.pdf.PDFDoc.UserPermissions.e_PermPrint and this can be one or combination of these values.

Returns
  None.